<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN""http://www.w3.org/TR/REC-html40/frameset.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc on Tue Jan 11 10:54:18 PST 2005 -->
<TITLE>
: Package org.eclipse.wst.rdb.internal.models.sql.datatypes.impl
</TITLE>
<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../../../stylesheet.css" TITLE="Style">
</HEAD>
<BODY BGCOLOR="white">

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_top"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Package</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-use.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/package-summary.html"><B>PREV PACKAGE</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/package-summary.html"><B>NEXT PACKAGE</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-summary.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>
<H2>
Package org.eclipse.wst.rdb.internal.models.sql.datatypes.impl
</H2>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Class Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="ApproximateNumericDataTypeImpl.html">ApproximateNumericDataTypeImpl</A></B></TD>
<TD><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Approximate Numeric Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="ArrayDataTypeImpl.html">ArrayDataTypeImpl</A></B></TD>
<TD><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Array Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="AttributeDefinitionImpl.html">AttributeDefinitionImpl</A></B></TD>
<TD><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Attribute Definition</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="BinaryStringDataTypeImpl.html">BinaryStringDataTypeImpl</A></B></TD>
<TD><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Binary String Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="BooleanDataTypeImpl.html">BooleanDataTypeImpl</A></B></TD>
<TD><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Boolean Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="CharacterSetImpl.html">CharacterSetImpl</A></B></TD>
<TD><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Character Set</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="CharacterStringDataTypeImpl.html">CharacterStringDataTypeImpl</A></B></TD>
<TD><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Character String Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="CollectionDataTypeImpl.html">CollectionDataTypeImpl</A></B></TD>
<TD><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Collection Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="ConstructedDataTypeImpl.html">ConstructedDataTypeImpl</A></B></TD>
<TD><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Constructed Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="DataLinkDataTypeImpl.html">DataLinkDataTypeImpl</A></B></TD>
<TD><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Data Link Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="DataTypeImpl.html">DataTypeImpl</A></B></TD>
<TD><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="DateDataTypeImpl.html">DateDataTypeImpl</A></B></TD>
<TD><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Date Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="DistinctUserDefinedTypeImpl.html">DistinctUserDefinedTypeImpl</A></B></TD>
<TD><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Distinct User Defined Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="DomainImpl.html">DomainImpl</A></B></TD>
<TD><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Domain</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="ExactNumericDataTypeImpl.html">ExactNumericDataTypeImpl</A></B></TD>
<TD><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Exact Numeric Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="FieldImpl.html">FieldImpl</A></B></TD>
<TD><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Field</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="FixedPrecisionDataTypeImpl.html">FixedPrecisionDataTypeImpl</A></B></TD>
<TD><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Fixed Precision Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="IntegerDataTypeImpl.html">IntegerDataTypeImpl</A></B></TD>
<TD><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Integer Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="IntervalDataTypeImpl.html">IntervalDataTypeImpl</A></B></TD>
<TD><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Interval Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="MultisetDataTypeImpl.html">MultisetDataTypeImpl</A></B></TD>
<TD><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Multiset Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="NumericalDataTypeImpl.html">NumericalDataTypeImpl</A></B></TD>
<TD><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Numerical Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="PredefinedDataTypeImpl.html">PredefinedDataTypeImpl</A></B></TD>
<TD><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Predefined Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="ReferenceDataTypeImpl.html">ReferenceDataTypeImpl</A></B></TD>
<TD><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Reference Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="RowDataTypeImpl.html">RowDataTypeImpl</A></B></TD>
<TD><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Row Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="SQLDataTypeImpl.html">SQLDataTypeImpl</A></B></TD>
<TD><!-- begin-user-doc -->
 An implementation of the model object '<em><b>SQL Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="SQLDataTypesFactoryImpl.html">SQLDataTypesFactoryImpl</A></B></TD>
<TD><!-- begin-user-doc -->
 An implementation of the model <b>Factory</b>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="SQLDataTypesPackageImpl.html">SQLDataTypesPackageImpl</A></B></TD>
<TD><!-- begin-user-doc -->
 An implementation of the model <b>Package</b>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="StructuredUserDefinedTypeImpl.html">StructuredUserDefinedTypeImpl</A></B></TD>
<TD><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Structured User Defined Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="TimeDataTypeImpl.html">TimeDataTypeImpl</A></B></TD>
<TD><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Time Data Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="UserDefinedTypeImpl.html">UserDefinedTypeImpl</A></B></TD>
<TD><!-- begin-user-doc -->
 An implementation of the model object '<em><b>User Defined Type</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="UserDefinedTypeOrderingImpl.html">UserDefinedTypeOrderingImpl</A></B></TD>
<TD><!-- begin-user-doc -->
 An implementation of the model object '<em><b>User Defined Type Ordering</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="XMLDataTypeImpl.html">XMLDataTypeImpl</A></B></TD>
<TD><!-- begin-user-doc -->
 An implementation of the model object '<em><b>XML Data Type</b></em>'.</TD>
</TR>
</TABLE>
&nbsp;

<P>
<HR>

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_bottom"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Package</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-use.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/package-summary.html"><B>PREV PACKAGE</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/datatypes/util/package-summary.html"><B>NEXT PACKAGE</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-summary.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>

</BODY>
</HTML>
